cairomm: Cairo::SurfacePattern Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# Cairo::SurfacePattern Class Reference

Inheritance diagram for Cairo::SurfacePattern:
[legend]

List of all members.

## Public Member Functions
| SurfacePattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance.
RefPtr< const Surface > | get_surface () const
| Gets the surface associated with this pattern.
RefPtr< Surface > | get_surface ()
| Gets the surface associated with this pattern.
virtual | ~SurfacePattern ()
void | set_extend (Extend extend)
Extend | get_extend () const
void | set_filter (Filter filter)
Filter | get_filter () const
## Static Public Member Functions
static RefPtr< SurfacePattern > | create (const RefPtr< Surface >& surface)
## Protected Member Functions
| SurfacePattern (const RefPtr< Surface >& surface)

## Constructor & Destructor Documentation

Cairo::SurfacePattern::SurfacePattern | ( | const RefPtr< Surface >& | surface | ) | `[explicit, protected]`

Cairo::SurfacePattern::SurfacePattern | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  | `[explicit]`

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters:

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::SurfacePattern::~SurfacePattern | ( |  | ) | `[virtual]`

## Member Function Documentation

static RefPtr<SurfacePattern> Cairo::SurfacePattern::create | ( | const RefPtr< Surface >& | surface | ) | `[static]`

Extend Cairo::SurfacePattern::get_extend | ( |  | ) | const

Filter Cairo::SurfacePattern::get_filter | ( |  | ) | const

RefPtr<Surface> Cairo::SurfacePattern::get_surface | ( |  | ) |

Gets the surface associated with this pattern.

Since:
  1.4

RefPtr<const Surface> Cairo::SurfacePattern::get_surface | ( |  | ) | const

Gets the surface associated with this pattern.

Since:
  1.4

void Cairo::SurfacePattern::set_extend | ( | Extend | extend | ) |

void Cairo::SurfacePattern::set_filter | ( | Filter | filter | ) |

The documentation for this class was generated from the following file:

- cairomm/pattern.h